from slashdb.dbproxies.sqlalchemy_sdb.model import SQLAlchemyModel
from slashdb.dbproxies.sqlalchemy_sdb.model import SQLAlchemyModuleMaker

from .dbconfig import PostgreSQLDBConfig
from .dataproxy import PostgreSQLDataProxy
from .constants import DB_TYPES
from .patches import patch_postgresql

__version__ = '1.0.0'

patch_postgresql()

class PostgreSQLModel(SQLAlchemyModel):
    db_types = DB_TYPES


class PostgreSQLModuleMaker(SQLAlchemyModuleMaker):
    db_types = DB_TYPES
    model_class = PostgreSQLModel


ModuleMaker = PostgreSQLModuleMaker
Model = PostgreSQLModel
DataProxy = PostgreSQLDataProxy
DBConfig = PostgreSQLDBConfig
DB_TYPES = DB_TYPES
